%define name    tuxnes
%define version 0.75
%define release %mkrel 8
%define distsuffix plf

Summary:	NES emulator
Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Group:		Emulators
License:	GPL 
URL:		http://tuxnes.sourceforge.net/
Source0:	http://download.sourceforge.net/tuxnes/%{name}-%{version}.tar.bz2
BuildRequires:	gcc3.3
BuildRequires:	libggi-devel
BuildRequires:	netpbm-devel
%if %mdkversion >= 1020
BuildRequires:	X11-devel
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
TuxNES is a portable, GPL'ed Nintendo Entertainment System (NES)
emulator. It basically allows you to play most games designed for the
NES game system on your PC or Workstation.

This package is in PLF because it is against Mandriva policy to
include such software.

%prep
%setup -q

%build
%if %mdkversion <= 1020
export CC="gcc-3.3.4"
%else
export CC="gcc-3.3.6"
%endif
%configure
%make

%install
%makeinstall

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS BUGS CHANGES COPYING ChangeLog INSTALL INSTALL.BSD NEWS README THANKS tuxnes.xpm tuxnes2.xpm
%{_bindir}/romfixer
%{_bindir}/tuxnes

%changelog
* Sat Oct 08 2005 Stefan van der Eijk <stefan@zarb.org> 0:0.75-8plf
- BuildRequires
- %%mkrel

* Sun Apr 17 2005 David Walluck <david@zarb.org> 0:0.75-7plf
- rebuild to fix libpbm.so.? dependency

* Sun Oct 24 2004 David Walluck <david@zarb.org> 0.75-6plf
- add reason for PLF

* Sat Oct 23 2004 David Walluck <david@zarb.org> 0.75-5plf
- rebuild

* Fri Jan 24 2003 David Walluck <david@anti-microsoft.org> 0.75-4plf
- fix long description

* Thu Jan 23 2003 David Walluck <david@anti-microsoft.org> 0.75-3plf
- back to offcial release
- don't regenerate configure script

* Tue May 17 2002 David Walluck <david@anti-microsoft.org> 0.75-2plf
- Requires binutils for as
- ExclusiveArch
- new CVS snapshot
- redo spec due to missing src.rpm

* Mon Apr 22 2002 David Walluck <david@anti-microsoft.org> 0.75-1plf
- release
